/**
 * TrueReality - include/ansi_esc_codes.h
 * Copyright (C) 1998, 1999 Niki W. Waibel
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * Information about me (the author):
 *   Niki W. Waibel, Reichenau 20, 6890 Lustenau, Austria - EUROPE
 *   niki.waibel@gmx.net
**/





#define __ANSI_ESC_CODES_H

#ifdef ANSI_COLOR
        #define ST_NONE      "\x1b[0m"
        #define ST_AT_B      "\x1b[1m"
        #define ST_AT_NB     "\x1b[22m"
        #define ST_AT_U      "\x1b[4m"
        #define ST_AT_NU     "\x1b[24m"
        #define ST_FG_BLA    "\x1b[30m"
        #define ST_FG_RED    "\x1b[31m"
        #define ST_FG_GRE    "\x1b[32m"
        #define ST_FG_BRO    "\x1b[33m"
        #define ST_FG_BLU    "\x1b[34m"
        #define ST_FG_MAG    "\x1b[35m"
        #define ST_FG_CYA    "\x1b[36m"
        #define ST_FG_WHI    "\x1b[37m"
        #define ST_FG_DEF    "\x1b[39m"
        #define ST_BG_BLA    "\x1b[40m"
        #define ST_BG_RED    "\x1b[41m"
        #define ST_BG_GRE    "\x1b[42m"
        #define ST_BG_BRO    "\x1b[43m"
        #define ST_BG_BLU    "\x1b[44m"
        #define ST_BG_MAG    "\x1b[45m"
        #define ST_BG_CYA    "\x1b[46m"
        #define ST_BG_WHI    "\x1b[47m"
        #define ST_BG_DEF    "\x1b[49m"
#else
        #define ST_NONE
        #define ST_AT_B
        #define ST_AT_NB
        #define ST_AT_U
        #define ST_AT_NU
        #define ST_FG_BLA
        #define ST_FG_RED
        #define ST_FG_GRE
        #define ST_FG_BRO
        #define ST_FG_BLU
        #define ST_FG_MAG
        #define ST_FG_CYA
        #define ST_FG_WHI
        #define ST_FG_DEF
        #define ST_BG_BLA
        #define ST_BG_RED
        #define ST_BG_GRE
        #define ST_BG_BRO
        #define ST_BG_BLU
        #define ST_BG_MAG
        #define ST_BG_CYA
        #define ST_BG_WHI
        #define ST_BG_DEF
#endif

