/**
 * TrueReality - IPC/UNIX/comm.h
 * Copyright (C) 1998, 1999 Niki W. Waibel
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * Information about me (the author):
 *   Niki W. Waibel, Reichenau 20, 6890 Lustenau, Austria - EUROPE
 *   niki.waibel@gmx.net
**/





#define __COMM_H



#ifndef __CONFIG_H
#  include "config.h"
#endif



extern int ipc_server;
extern int ipc_client;



/*
** I define these routines as standard under UNIX.
** If there are any suggestions feel free to mail.
*/

int UNIX_ReadIPC(int fd, char *buf, int count);
int UNIX_WriteIPC(int fd, char *buf, int count);

int UNIX_ListenIPC();
int UNIX_ConnectIPC();

int UNIX_RemoveListenIPC(int fd);
int UNIX_RemoveConnectIPC(int fd);
