
// Alerts.h

void PreStopAlert();
void InputSprocketStopAlert(unsigned int type);
void MyStandardNumberStopAlert(unsigned int type, OSStatus theError);
void MyStandardStopAlert(unsigned int type);
short HaltWarning(unsigned int type);

#define kStopAlert		150
#define kWarningAlert	151
#define kHaltAlert		152

enum
{
	// Standard errors
	StdStopError = 100,
	StdNumberStopError,
	
	// DrawSprocket Errors
	DSpStandardStopAlert = 500,
	DSpStandardNumberStopAlert,
	
	// InputSprocket Errors
	ISpUnknown = 1000,
	ISpNotAvail,
	ISpTooOld,
	ISpStandardStopError,
	
	// Memory errors
	MemTooLow = 1200
};

// Warnings
enum
{
	KnownHalt = 2000,
	UnknownHalt,
	UnknownMemHalt
};


