/**
 * TrueReality - Display/remote/X/n64displayd.h
 * Copyright (C) 1998, 1999 Niki W. Waibel
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
 * Information about me (the author):
 *   Niki W. Waibel, Reichenau 20, 6890 Lustenau, Austria - EUROPE
 *   niki.waibel@gmx.net
**/





#define __N64DISPLAYD_H



#define DISPLAYNAME "X - remote X display (UNIX)"

#ifdef TRUECOLOR
#  define PIXEL unsigned long
#  define DEPTH 24
#else
#  ifdef DIRECTCOLOR
#     define PIXEL unsigned short
#     define DEPTH 16
#  else
#     define PIXEL unsigned char
#     define DEPTH 8
#  endif
#endif



/* void OnBreak(int Arg); */
int  InitIPC();
int  InitWindow();
int  InitShm();
int  InitShmIDs();
void doDisplayRefresh();
void PutImage(int X, int Y, int W, int H);
void doIPCLoop(int pid);
void childLoop(void);
void getFlags();
int  main(int argc, char **argv);

/*
int recvMsg(char *buf, int n);
int sendMsg(char *buf);
*/
