
// ISP.h

#include <InputSprocket.h>
#include "config.h"

unsigned int InitInputSprockets();
void DeinitInputSprockets();
void ConfigureInputSprockets();
void BuildMyElementList();
unsigned long ProcessKeys();
void ISpProcessSpecialKeys();

extern bool ISpEnabled;

enum
{
	kJoy1Analog = 0,
	kKey1AnalogCenter,
	kKey1C,
	kKey1D,
	kKey1Start,
	kKey1A,
	kKey1B,
	kKey1L,
	kKey1R,
	kKey1Z,
	
	kRefresh,
	kCapture,
	kPause,
	kBreak,
	
	kNumNeeds
};

enum
{
	kIconSuiteID_Analog = kISpLastIconSuite,
	kIconSuiteID_ACenter = kIconSuiteID_Analog, 
	kIconSuiteID_C = kIconSuiteID_Analog+2,
	kIconSuiteID_D,
	kIconSuiteID_Start,	
	kIconSuiteID_ButtonA,
	kIconSuiteID_ButtonB,
	kIconSuiteID_ButtonL = kISpNoneIconSuite,
	kIconSuiteID_ButtonR = kISpNoneIconSuite,
	kIconSuiteID_ButtonZ = kISpNoneIconSuite,
	
	kIconSuiteID_Button = kISpNoneIconSuite
};
